#!/bin/sh
# Copyright start
# Copyright (C) 2008 - 2024 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end

update_nodeid_in_das_ini()
{
    # replace the cluster node id in das.ini
    # das.ini is no-replace rpm config file. Handled the changes below

    local das_ini_file='/opt/cyops-auth/utilities/das.ini'
    local nodeid=`csadm license --get-device-uuid`
    if [ "X$nodeid" != "X" ]; then
        if grep -q "^\s*nodeid\s*=\s*<cluster_node_id>" $das_ini_file; then
            sed -i "s/^\s*nodeid\s*=\s*<cluster_node_id>\s*$/nodeid = $nodeid/g"  $das_ini_file
        else
            if ! grep -q "\[CLUSTER\]" $das_ini_file; then
                echo -e "\n\n[CLUSTER]\nnodeid = $nodeid\n" >> $das_ini_file
            fi
        fi
    else
        echo "Failed to find the nodeid"
        exit 1
    fi
}

#####
# MAIN starts here
####

update_nodeid_in_das_ini
exit 0
