/* Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

-- David Wootan
-- Sept. 18, 2015
-- Migration script foe the NFARESPONSE and the APIKEYS tables

-- NFARESPONSE migration

DROP sequence IF EXISTS nfaresponse_id_seq CASCADE;
CREATE SEQUENCE nfaresponse_id_seq
    START WITH 3
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

DROP TABLE IF EXISTS nfaresponse CASCADE;
CREATE TABLE nfaresponse (
    nfaresponse_id INTEGER NOT NULL,
    uuid character varying(64) NOT NULL,
    code character varying(64),
    expiration timestamp without time zone
);

ALTER TABLE nfaresponse OWNER TO cyberpgsql;
ALTER TABLE nfaresponse_id_seq OWNER TO cyberpgsql;
ALTER TABLE ONLY nfaresponse ALTER COLUMN nfaresponse_id SET DEFAULT nextval('nfaresponse_id_seq'::regclass);
ALTER TABLE ONLY nfaresponse
    ADD CONSTRAINT nfaresponse_pk PRIMARY KEY (nfaresponse_id);
CREATE INDEX uuid_idx ON nfaresponse USING btree (uuid);

REVOKE ALL ON TABLE nfaresponse FROM PUBLIC;
REVOKE ALL ON TABLE nfaresponse FROM cyberpgsql;
GRANT ALL ON TABLE nfaresponse TO cyberpgsql;

-- APIKEYS migration

ALTER TABLE public.apikeys ADD create_date timestamp without time zone DEFAULT now();

