/* Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

-- Sequence: process_info_id_seq

drop SEQUENCE if exists process_info_id_seq cascade;
CREATE SEQUENCE process_info_id_seq
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;
ALTER TABLE process_info_id_seq
  OWNER TO cyberpgsql;

-- Table: processinfo

CREATE TABLE if not exists processinfo
(
  process_info_id integer NOT NULL DEFAULT nextval('process_info_id_seq'::regclass),
  pid integer,
  CONSTRAINT process_info_pk PRIMARY KEY (process_info_id)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE processinfo
  OWNER TO cyberpgsql;

-- ******************************************

-- table configprops

drop SEQUENCE if exists config_props_id_seq cascade;
CREATE SEQUENCE config_props_id_seq
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;
ALTER TABLE config_props_id_seq
  OWNER TO cyberpgsql;

CREATE TABLE if not exists configprops
(
    config_props_id INTEGER PRIMARY KEY NOT NULL DEFAULT nextval('config_props_id_seq'::regclass),
    section CHARACTER VARYING(64),
    key CHARACTER VARYING(64),
    value CHARACTER VARYING(128),
    public BOOLEAN
);
CREATE UNIQUE INDEX configprops_config_props_id_uindex ON configprops (config_props_id);
ALTER TABLE configprops
  OWNER TO cyberpgsql;


insert into configprops (section, key, value, public)
values

('CSDATA', 'max_failed', 5, True),
('CSDATA', 'lock_minutes', 30, True),
('CSDATA', 'token_lifetime', 18000, True),

('APIKEYS', 'key_size', 2048, true),

('EVENT', 'event_count', 500, true),

('LDAP', 'servers', '192.168.222.22,192.268.220.240', true),
('LDAP', 'port', 389, true),
('LDAP', 'useldap', false, true);
