--
-- Name: fsrapikeys_id_seq, Type: TABLE, Schema: public, Owner: cyberpgsql, Tablespace:
--

CREATE SEQUENCE if not exists fsrapikeys_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

ALTER SEQUENCE fsrapikeys_id_seq OWNER TO cyberpgsql;

--
-- Name: fsrapikeys, Type: TABLE, Schema: public, Owner: cyberpgsql, Tablespace:
--

CREATE TABLE if not exists fsrapikeys (
    id integer DEFAULT nextval('fsrapikeys_id_seq'::regclass) NOT NULL PRIMARY KEY,
    api_key text unique,
    enc_key text,
    uuid character varying(64),
    user_id integer,
    status integer,
    valid_until timestamp(6) without time zone,
    last_used timestamp(6) without time zone,
    create_date timestamp(6) without time zone DEFAULT now(),
    modify_date timestamp(6) without time zone
);

ALTER TABLE fsrapikeys OWNER TO cyberpgsql;

--
-- Name: fsrapikeys_uuid_idx, Type: INDEX, Schema: public, Owner: cyberpgsql, Tablespace:
--

CREATE INDEX fsrapikeys_uuid_idx ON fsrapikeys USING btree (uuid);

--
-- Name: fsrapikeys_user_id_idx, Type: INDEX, Schema: public, Owner: cyberpgsql, Tablespace:
--

CREATE UNIQUE INDEX fsrapikeys_user_id_idx ON fsrapikeys USING btree (user_id);

--
-- Name: fsrapikeys_uuid_fkey, Type: FK CONSTRAINT, Schema: public, Owner: cyberpgsql
--

ALTER TABLE ONLY fsrapikeys
    ADD CONSTRAINT fsrapikeys_uuid_fkey FOREIGN KEY (uuid) REFERENCES userinfo(uuid);

--
-- Name: fsrapikeys_user_id_fkey, Type: FK CONSTRAINT, Schema: public, Owner: cyberpgsql
--

ALTER TABLE ONLY fsrapikeys
    ADD CONSTRAINT fsrapikeys_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(user_id);


INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type) VALUES ('API-KEYS', 'api_key_validity_min', '1', True, 'int');
INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type) VALUES ('API-KEYS', 'api_key_validity_max', '365', True, 'int');
INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type) VALUES ('API-KEYS', 'retrievable_mode', False, True, 'boolean');
